Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.xml
Class MatchableImpl

    java.lang.Object
      com.servingxml.util.xml.MatchableImpl

All Implemented Interfaces:
  Matchable

    public class MatchableImpl

extends java.lang.Object
implements Matchable

Implements an interface for a map from an XML fragment to a field.

Constructor Summary
`MatchableImpl(java.lang.String mode, Name name, java.lang.String selectExpr)`
`MatchableImpl(java.lang.String mode, java.lang.String matchExpr, Name name, java.lang.String selectExpr)`

Method Summary
`java.lang.String` | `getMatchExpression()`
`void` | `putParameters(ParameterParser paramParser)`
`void` | `putTemplate(PrefixMap prefixMap, org.xml.sax.ContentHandler contentHandler)`
`void` | `putTemplateContent(PrefixMap prefixMap, org.xml.sax.ContentHandler contentHandler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchableImpl

    public MatchableImpl(java.lang.String mode,
                         java.lang.String matchExpr,
                         Name name,
                         java.lang.String selectExpr)

### MatchableImpl

    public MatchableImpl(java.lang.String mode,
                         Name name,
                         java.lang.String selectExpr)

Method Detail

### getMatchExpression

    public java.lang.String getMatchExpression()

  Specified by:
    `getMatchExpression` in interface `Matchable`

### putTemplateContent

    public void putTemplateContent(PrefixMap prefixMap,
                                   org.xml.sax.ContentHandler contentHandler)
                            throws java.io.IOException,
                                   org.xml.sax.SAXException

  Specified by:
    `putTemplateContent` in interface `Matchable`
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### putTemplate

    public void putTemplate(PrefixMap prefixMap,
                            org.xml.sax.ContentHandler contentHandler)
                     throws java.io.IOException,
                            org.xml.sax.SAXException

  Specified by:
    `putTemplate` in interface `Matchable`
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### putParameters

    public void putParameters(ParameterParser paramParser)

  Specified by:
    `putParameters` in interface `Matchable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD